Package org.drinkless.tdlib

# Class TdApi.AddStoryAlbumStories

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.StoryAlbum>
org.drinkless.tdlib.TdApi.AddStoryAlbumStories

Enclosing class:
  `TdApi`

public static class TdApi.AddStoryAlbumStories extends TdApi.Function<TdApi.StoryAlbum>
Adds stories to the beginning of a previously created story album. If the album is owned by a supergroup or a channel chat, then requires canEditStories administrator right in the chat. Returns the changed album.

Returns `StoryAlbum`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat that owns the stories.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `storyAlbumId`
  Identifier of the story album.
  `int[]`
  `storyIds`
  Identifier of the stories to add to the album; 1-getOption("story_album_size_max") identifiers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddStoryAlbumStories()`
  Default constructor for a function, which adds stories to the beginning of a previously created story album.
  `AddStoryAlbumStories(long chatId, int storyAlbumId, int[] storyIds)`
  Creates a function, which adds stories to the beginning of a previously created story album.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat that owns the stories.

  - ### storyAlbumId

    public int storyAlbumId
    Identifier of the story album.

  - ### storyIds

    public int[] storyIds
    Identifier of the stories to add to the album; 1-getOption("story_album_size_max") identifiers. If after addition the album has more than getOption("story_album_size_max") stories, then the last one are removed from the album.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AddStoryAlbumStories

    public AddStoryAlbumStories()
    Default constructor for a function, which adds stories to the beginning of a previously created story album. If the album is owned by a supergroup or a channel chat, then requires canEditStories administrator right in the chat. Returns the changed album.

    Returns `StoryAlbum`

  - ### AddStoryAlbumStories

    public AddStoryAlbumStories(long chatId, int storyAlbumId, int[] storyIds)
    Creates a function, which adds stories to the beginning of a previously created story album. If the album is owned by a supergroup or a channel chat, then requires canEditStories administrator right in the chat. Returns the changed album.

    Returns `StoryAlbum`

    Parameters:
      `chatId` - Identifier of the chat that owns the stories.
      `storyAlbumId` - Identifier of the story album.
      `storyIds` - Identifier of the stories to add to the album; 1-getOption("story_album_size_max") identifiers. If after addition the album has more than getOption("story_album_size_max") stories, then the last one are removed from the album.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.StoryAlbum>`
    Returns:
      this.CONSTRUCTOR